<?php
include "bank.php";

				$username =  sanitize($_GET['mobile']);
				$password =  sanitize($_GET['password']);
				$mobile =  sanitize($_GET['mobile']);
				$name =  sanitize($_GET['name']);
				$pushid =  sanitize($_GET['pushid']);
				$finder =  sanitize($_GET['finderid']-1000);
				
				$fp = getuser($finder,"pushid");
				
		$check_for_user = $conn->query("SELECT id FROM users WHERE username='$username'");
		$check_for_mob = $conn->query("SELECT id FROM users WHERE mobile='$mobile'");
		//echo "SELECT id FROM users WHERE mobile='$mobile'";
		//print_r($check_for_mob);
		
		//exit();
		if ($check_for_user->num_rows == 0 && $check_for_mob->num_rows == 0 ) {
    			$st = time();
				$upto = time() + 259200;
    			$exp = $st + 259200;
    			$token = md5($exp);
				$randi = "1111";
    			$numbers = '["985000145","985000949","98100009","98sim","985000415"]';
    			$data = array('stats' => 1 ,'msg'=>'کاربر با موفقیت افزوده شد' ,'token' => $token);
    			$sql = "INSERT INTO users (name, username, password, st, numbers,token, exp, mobile,  mood, uptodate, finderid, passcode, pushid) VALUES ('".$name."','".$username."','".$password."','".$st."','".$numbers."','".$token."','".$st."','".$mobile."','0','".$upto."','".$finder."','".$randi."','".$pushid."')";                                           
    			if ($conn->query($sql) === TRUE) {
					echo json_encode($data );
					$data = "کد فعالسازی شما ".$randi." می باشد";
				//	sendSms($mobile,$data);
					
					if($fp !== ""){
						pushsend("تبریک ","کاربر با شماره  ".hid($mobile)." به زیر مجموعه مشتریان شما افزوده شد و از خریدهای این کاربر شما نیز سود خواهید کرد.",array($fp));
					}
    			} else {
    				$data = array('stats' => 0 , 'msg' => 'مشکل در دیتا بیس' );
					 echo("Error description: " . mysqli_error($conn));
    			}
    
    	
    		
		}else{
    		$data = array('stats' => 0 ,'msg' => 'این کاربر با این نام کاربری یا شماره موبایل قبلا ثبت نام کرده است' );
    		echo json_encode($data );
    		}
		
		
	

?>

